Issue 9652

Summary: Form Controls Date Field - Adding user-defined formats
Product: Writer Reporter: pjohnson <ptj4forums>
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Minor    
Priority: P3 CC: elish, hanya.runo, issues, karenchiu0904, scottskinner
Version: 643C   
Target Milestone: ---   
Hardware: PC   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: 4.1.0-dev
Developer Difficulty: ---

Description pjohnson 2002-11-28 23:44:48 UTC
It would be very nice if user-defined formats were allowed for Date Field
Controls. I am referring to allowing the user to enter their own formats with M,
D, and Y designations (e.g., MMMM D, YYYY = November 7, 2002, and MMM DD, YYYY =
Nov 07, 2002, etc.)

    I recognize that user-defined formatting is available using a Formatted
Field Control; however, that Control doesn't have the nifty Dropdown feature
that allows the user to pick a date from the little calendar.
Comment 1 stefan.baltzer 2003-06-04 14:21:56 UTC
Reassigned to Bettina.
Comment 2 utomo99 2003-09-20 04:53:50 UTC
Please try using the latest OOo 1.1 Rc4, 
Your version already old enough, and many bug fixes since your version 
and 1.1 RC4. If the problem still happend in 1.1 RC4 please report back 

I think you can suggest more date format, it is easier than custom
format. 
But we can consider this for 2.0 
Comment 3 ace_dent 2008-05-16 02:07:55 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently 'Unconfirmed' pending review, but has not been
updated within the last 3 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 4 bettina.haberer 2010-05-21 14:36:15 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements". 
Comment 5 hanya 2012-11-21 05:31:56 UTC
User defined date format can be added to use date field on Writer document.
It seems this is enough to close this issue as fixed.
Comment 6 pjohnson 2012-11-21 06:45:19 UTC
Actually, this issue is still valid. I was NOT talking about the date field that is accessed by choosing Insert->Fields->Date. Rather, you need to do these steps:

1. Make the Forms Control toolbar visible by choosing View->Toolbars->Form Controls.

2. Be sure you are in Design mode by depressing the Design Mode On/Off button in the Forms Control toolbar.

3. Make the More Controls toolbar visible by clicking on the button of the same name in the Forms Control toolbar.

4. On the More Controls toolbar, click on the Date Field button.

5. In your Writer document, click and drag to "draw" a Date Field Control.

6. Double-click on the Date Field Control that you just created, and a dialog box called Properties: Date Field appears.

7. Be sure the General tab is selected. The thirteenth item in the list is Date format. This is where it would be nice to have a user defined format available.

Regards,
Paul
Comment 7 Karen 2013-11-14 01:37:39 UTC
Hello,
Your step shows clearly on how to replicate the issue. Moreover, I agree with you that it would be nice to have several different formats to choose.
Comment 8 Edwin Sharp 2014-04-14 12:14:05 UTC
User-defined formats for date field are possible.
AOO410m17(Build:9763)  -  Rev. 1586584
2014-04-11 09:13 - Linux x86_64
Debian
Comment 9 Edwin Sharp 2014-04-14 12:16:30 UTC
sorry for misunderstanding.
Comment 10 Edwin Sharp 2014-04-14 12:18:53 UTC
Confirming